package examples.tutorial.weather8.templates;
import juzu.impl.plugin.template.metadata.TemplateDescriptor;
import juzu.impl.plugin.template.TemplateService;
@javax.annotation.Generated({})
public class fragment extends juzu.template.Template
{
@javax.inject.Inject
public fragment(TemplateService templatePlugin)
{
super(templatePlugin, "/examples/tutorial/weather8/templates/fragment.gtmpl");
}
public static final juzu.impl.plugin.template.metadata.TemplateDescriptor DESCRIPTOR = new juzu.impl.plugin.template.metadata.TemplateDescriptor("/examples/tutorial/weather8/templates/fragment.gtmpl",0x604fa9214d31bbbcL,examples.tutorial.weather8.templates.fragment.class,juzu.impl.template.spi.juzu.dialect.gtmpl.GroovyTemplateStub.class);
public Builder builder() {
return new Builder();
}
public Builder with() {
return (Builder)super.with();
}
public class Builder extends juzu.template.Template.Builder
{
public Builder location(Object location) {
set("location",location);
return this;
}
public Builder temperature(Object temperature) {
set("temperature",temperature);
return this;
}
}
}
